/* 聚合搜索组件 */
.ag-search-box{padding:20px 0 0 0;position:relative;margin:20px 0;}
.ag-search-box-p20{padding:20px 0;}
#ag-search{margin:0 auto;max-width:80%;}
#ag-search form{position:relative;}
#ag-search button{position:absolute;top:0;right:0;width:52px;height:48px;border:0;border-radius:0 30px 30px 0;line-height:48px;cursor:pointer;background:transparent;}
#ag-search button::after,.type-text::after{font-family:uicons-regular-rounded;}
#ag-search button::after{content:"\f6c6";}
#ag-search button:hover{color:#0069cc;}
#ag-search-list{position:relative;}
#ag-search-text{padding:0 57px 0 20px;width:100%;height:48px;border:0;border-radius:30px;font-size:14px;line-height:48px;outline:0;border:.01rem solid #e6e6e6;}
#ag-search-text:hover{box-shadow:1px 1px 3px rgba(0,0,0,.05);}
.search-group{display:none;}
.s-current .search-type{display:block;}
.s-current{display:block;}
.s-type{position:absolute;top:0;left:10px;z-index:13;width:70px;}
.s-type:hover{height:auto;}
.s-type>span{display:block;width:70px;height:28px;}
.type-text{position:absolute;left:20px;width:70px;font-size:14px;line-height:28px;}
.type-text::after{position:relative;top:.06rem;margin:0 5px;color:#999;content:"\f131";}
.type-hide::after{content:"\f12e";}
.s-type-list{position:absolute;top:28px;left:-5px;display:none;width:70px;padding:5px 0;border-radius:5px;background:#fff;border:.01rem solid #f2f2f2;box-shadow:1px 1px 5px rgba(0,0,0,.1);}
.s-type-list label{display:block;text-align:center;font-size:14px;line-height:28px;cursor:pointer;}
.s-type-list label:hover{color:#0069cc;}
.s-type:hover .s-type-list{display:block;}
.search-type{text-align:center;}
.search-type li{display:inline-block;list-style:none;}
.search-type li label{display:inline-block;padding:0 8px;border-radius:3px 3px 0 0;font-size:14px;line-height:28px;cursor:pointer;border:.01rem solid #fff0;}
.search-type li label span{display:inline-flex;align-items:center;}
.search-type li label img{width:16px;height:16px;position:relative;top:-1px;border-radius:50%;margin-right:5px;}
.search-type input:checked+label{border-top:1px solid #e6e6e6;border-left:1px solid #e6e6e6;border-right:1px solid #e6e6e6;background:#f4f7fb;}
.set-check{display:flex;align-items:center;justify-content:center;gap:4px;margin:5px auto 0;font-size:12px;line-height:16px;color:#999;text-align:center;}
.set-check input{width:14px;height:14px;margin:0;}
.set-check label{display:inline-flex;align-items:center;margin-left:0;line-height:1.4;}
.set-check input,.set-check label{opacity:0;transition:all .3s ease;}
.set-check:hover input,.set-check:hover label{opacity:1;}
.ag-search-box .green{color:#4baa4e;}
@media screen and (max-width:720px){
    #ag-search{max-width:100%;}
}
@media screen and (max-width:480px){
    .ag-search-box{padding:30px 0 0 0;margin:20px 0 10px 0;}
    .ag-search-box-p20{padding:30px 0 10px 0;}
    .s-type,.type-text{top:-35px;}
    .search-type li label{padding:0 5px;font-size:13px;}
    .set-check{position:absolute;top:0;right:0;margin:0;}
    .set-check input,.set-check label{opacity:1;}
    .search-type li label img{width:14px;height:14px;}
}
.fui-dark #ag-search-text,
.fuinight #ag-search-text{border:.01rem solid #3d3d3d;background:#3d3d3d;color:#ccc;}
.fui-dark .s-type-list,
.fuinight .s-type-list{background:#333;border:.01rem solid #3d3d3d;}
.fui-dark .search-type input:checked+label,
.fuinight .search-type input:checked+label{border-top:1px solid #3d3d3d;border-left:1px solid #3d3d3d;border-right:1px solid #3d3d3d;background:#3d3d3d;color:#ccc;}
.fui-dark #ag-search button,
.fuinight #ag-search button{color:#ccc;}
.fui-dark #ag-search button:hover,
.fuinight #ag-search button:hover{color:#ccc;}